Bug 4861

Summary: Debian packaging does not include translations
Product: Koha Reporter: Lars Wirzenius <lars>
Component: PackagingAssignee: Robin Sheat <robin>
Status: CLOSED WONTFIX QA Contact: Bugs List <koha-bugs>
Severity: enhancement    
Priority: P5 - low CC: dubyk, katrin.fischer, martin.renvoize, mirko
Version: master   
Hardware: All   
OS: All   
See Also: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12130
http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12129
http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=10942
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 10942    
Bug Blocks:    

Description Lars Wirzenius 2010-06-08 21:43:52 UTC
The Debian packaging of Koha does not include translations.

It should include translations at least for all the languages that are 50+% translated. Since OPAC users (especially) may be wanting to use their own language, the translations should be included in the koha-common.deb package.
Comment 1 Serhij Dubyk 2011-04-06 16:46:10 UTC
I also vote for including translations.

It would have to be separate packages for each language. First, would there have been only localized interface templates. And later would have to add other language-dependent things (eg., language-patches, settings etc).

Now after installing the package koha or koha-common in the web-installer is not possible to select other languages ​​and therefore can not choose a language-dependent sql-data (although they are currently in issue).
Comment 2 Robin Sheat 2011-04-06 22:47:07 UTC
Yeah, separate packages is how I'm intending to go with this, that way it'll work similar to localisations for other packages (e.g. firefox has something like firefox-locale-nl etc.)
Comment 3 Mirko Tietgen 2018-05-30 12:55:42 UTC
Translations are shipped with Koha these days, and there are a lot of them. I'm not planning to create a gazillion Debian packages for them.